%global debug_package %{nil}
%global with_snapshot 1
%global gitdate 20230131
%global commit 097a5ecacd527d5b5c3006e360fb9cb1c1c48a1f
%global shortcommit %(c=%{commit}; echo ${c:0:8})

%global desc %{expand: \
The platform independent header allowing to compile any C/C++ code containing
ARM NEON intrinsic functions for x86 target systems using SIMD up to SSE4
intrinsic functions.

The NEON_2_SSE.h file is intended to simplify ARM->IA32 porting.}

Name:		neon2sse
Version:	0.0%{?with_snapshot:^%{gitdate}git%{shortcommit}}
Release:	%autorelease
Summary:	Open standard for machine learning interoperability

License:	BSD-2-Clause
URL:		https://github.com/intel/ARM_NEON_2_x86_SSE
%if %{with_snapshot}
Source0:	%{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
%else
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
%endif

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++

%description
%{desc}
	
%package devel
Summary:	Development files for %{name}
Provides:	%{name}-static = %{version}-%{release}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
%{desc}

%prep
%if %{with_snapshot}
%autosetup -n ARM_NEON_2_x86_SSE-%{commit}
%else
%autosetup
%endif

# fix path
sed -i 's/lib\/cmake/%{_lib}\/cmake/g' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%doc ReadMe.md
%{_includedir}/NEON_2_SSE.h
%{_libdir}/cmake/NEON_2_SSE/

%changelog
%autochangelog
